﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinListView;
using Infragistics.Win;

namespace ServicePlan
{
    public partial class FormLayoutTest : Form
    {
        public FormLayoutTest()
        {
            InitializeComponent();

            this.PopulateListViewActivities();
        }

        private void PopulateListViewActivities()
        {
            ValueList vl = new ValueList();
            vl.ValueListItems.Add( 0, "Zero" );
            vl.ValueListItems.Add( 1, "One" );
            vl.ValueListItems.Add( 2, "Two" );
            vl.ValueListItems.Add( 3, "Three" );
            vl.ValueListItems.Add( 4, "Four" );
            vl.ValueListItems.Add( 5, "Five" );
            vl.ValueListItems.Add( 6, "Six" );

            this.ListViewActivities.MainColumn.ValueList = vl;

            //    Populate the Items collection from the Rows collection of the 'Orders' table.
            for (int i=0; i < 100; i++ )
            {
                UltraListViewItem item = this.ListViewActivities.Items.Add( i.ToString(), i );

                //    Set the values for the UltraListViewItem's SubItems. Note that we
                //    can use an UltraListViewSubItemColumn instance to index into the
                //    SubItemColumns collection, and use the stored reference to the underlying
                //    DataColumn to index into the DataRow's columns.
                foreach ( UltraListViewSubItemColumn subItemColumn in this.ListViewActivities.SubItemColumns )
                {
                    subItemColumn.ValueList = vl;
                    UltraListViewSubItem subItem = item.SubItems[subItemColumn];
                    subItem.Value = i;
                }
            }
        }

        private void BtnLVStandard_Click( object sender, EventArgs e )
        {
            this.ListViewActivities.View = UltraListViewStyle.List;
            if ( this.ListViewActivities.ActiveItem != null )
                this.ListViewActivities.ActiveItem.BringIntoView();
        }

        private void BtnLVDetail_Click( object sender, EventArgs e )
        {
            this.ListViewActivities.View = UltraListViewStyle.Details;
            if ( this.ListViewActivities.ActiveItem != null )
                this.ListViewActivities.ActiveItem.BringIntoView();
        }

        private void ListViewActivities_Click( object sender, EventArgs e )
        {
            bool hasActive = this.ListViewActivities.ActiveItem != null;
        }
    }
}
