﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ServicePlan
{
    /// <summary>
    /// Testklasse: Einsatzplan einer Organisation in einem Bereich
    /// </summary>
    public class TServicePlan
    {
        private DateTime from = DateTime.Today;
        private DateTime to = DateTime.Today;
        private List<TPeriodPlan> servicePlan = new List<TPeriodPlan>();

        /// <summary>
        /// Konstruktor mit Periodenbereich
        /// </summary>
        public TServicePlan( DateTime from, DateTime to )
        {
            this.from = from;
            this.to = to;
        }

        /// <summary>
        /// Zugriff auf Service-Plan
        /// </summary>
        public List<TPeriodPlan> ServicePlan
        {
            get { return this.servicePlan; }
        }

        /// <summary>
        /// Zugriff auf Begin-Date
        /// </summary>
        public DateTime FromDate
        {
            get { return this.from; }
        }

        /// <summary>
        /// Zugriff auf End-Date
        /// </summary>
        public DateTime ToDate
        {
            get { return this.to; }
        }

    }
}
